package eventmodels

// 任务完成事件
type TaskFinishEventContent struct {
	UserBasic
	EventBasic
	TaskId        string `json:"task_id"`        // 任务id
	TaskName      string `json:"task_name"`      // 任务名称
	TaskCondition string `json:"task_condition"` // 任务条件
	TaskType      string `json:"task_type"`      // 任务类型
	TaskReward    string `json:"task_reward"`    // 任务奖励 json字符串 eg:[]ItemReward
	TaskProgress  int    `json:"task_progress"`  // 任务进度
}

func (e *TaskFinishEventContent) EventName() string {
	return "TaskFinish"
}
